unit Maingf;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, 
  SDL_Colsel, SDL_gradfl, SDL_NumIO;

type
  TFrmGrafFill = class(TForm)
    BButExit: TBitBtn;
    Label1: TLabel;
    GradFill3: TGradFill;
    GFQuad: TGradFill;
    Label3: TLabel;
    ColSel1: TColSel;
    ColSel2: TColSel;
    SBToggleColors: TSpeedButton;
    RGSelect: TRadioGroup;
    NIONumColors: TNumIO;
    Label2: TLabel;
    CBoxGridMode: TComboBox;
    CselGrid: TColSel;
    Label4: TLabel;
    Label5: TLabel;
    procedure BButExitClick(Sender: TObject);
    procedure SBToggleColorsClick(Sender: TObject);
    procedure ColSel1Change(Sender: TObject);
    procedure ColSel2Change(Sender: TObject);
    procedure NIONumColorsChange(Sender: TObject);
    procedure CselGridChange(Sender: TObject);
    procedure CBoxGridModeChange(Sender: TObject);
    procedure RGSelectClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmGrafFill: TFrmGrafFill;

implementation


{$R *.DFM}

(******************************************************************************)
procedure TFrmGrafFill.BButExitClick(Sender: TObject);
(******************************************************************************)

begin
close;
end;


(******************************************************************************)
procedure TFrmGrafFill.SBToggleColorsClick(Sender: TObject);
(******************************************************************************)

var
  ColorDummy : TColor;

begin
GFQuad.ColorFlipped := not GFQuad.ColorFlipped;
ColorDummy := ColSel1.SelColor;
ColSel1.SelColor := ColSel2.SelColor;
ColSel2.SelColor := ColorDummy;
end;

(******************************************************************************)
procedure TFrmGrafFill.ColSel1Change(Sender: TObject);
(******************************************************************************)

begin
GFQuad.ColorFirst := ColSel1.SelColor;
end;

(******************************************************************************)
procedure TFrmGrafFill.ColSel2Change(Sender: TObject);
(******************************************************************************)

begin
GFQuad.ColorLast := ColSel2.SelColor;
end;


(******************************************************************************)
procedure TFrmGrafFill.NIONumColorsChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.NrColors := round(NIONumColors.Value);
end;


(******************************************************************************)
procedure TFrmGrafFill.CselGridChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.GridColor := CSelGrid.SelColor;
end;

(******************************************************************************)
procedure TFrmGrafFill.CBoxGridModeChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.GridMode := TGridMode(CBoxGridMode.ItemIndex);
end;


(******************************************************************************)
procedure TFrmGrafFill.RGSelectClick(Sender: TObject);
(******************************************************************************)

begin
if SDL_GradFl.IsLightEd then
  begin
  if RGSelect.ItemIndex > 3 then
    begin
    RGSelect.ItemIndex := 0;
    MessageDlg ('Sorry, the Light Edition does not support the selected fill mode', mtInformation, [mbOK], 0);
    end;
  end;
GFQuad.FillType := TGradType(RGSelect.ItemIndex);
end;

(******************************************************************************)
procedure TFrmGrafFill.FormShow(Sender: TObject);
(******************************************************************************)

begin
CBoxGridMode.ItemIndex := 0;
end;

end.
