unit Maingf;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, 
  SDL_NumIO, SDL_Colsel, SDL_gradfl;

type
  TFrmGrafFill = class(TForm)
    BButExit: TBitBtn;
    Label1: TLabel;
    GradFill3: TGradFill;
    GFQuad: TGradFill;
    Label3: TLabel;
    ColSel1: TColSel;
    ColSel2: TColSel;
    SBToggleColors: TSpeedButton;
    RGSelect: TRadioGroup;
    RBRadial: TRadioButton;
    RBVertical: TRadioButton;
    RBMidBandVert: TRadioButton;
    RBMidBandHoriz: TRadioButton;
    RBHoriz: TRadioButton;
    RBEllipticFull: TRadioButton;
    RBEllipticFit: TRadioButton;
    RBDiagGrid: TRadioButton;
    NIONumColors: TNumIO;
    Label2: TLabel;
    RBRect: TRadioButton;
    CBoxGridMode: TComboBox;
    CselGrid: TColSel;
    Label4: TLabel;
    Label5: TLabel;
    CBoxFrame: TComboBox;
    procedure BButExitClick(Sender: TObject);
    procedure SBToggleColorsClick(Sender: TObject);
    procedure ColSel1Change(Sender: TObject);
    procedure ColSel2Change(Sender: TObject);
    procedure RBRadialClick(Sender: TObject);
    procedure RBVerticalClick(Sender: TObject);
    procedure RBMidBandVertClick(Sender: TObject);
    procedure RBMidBandHorizClick(Sender: TObject);
    procedure RBHorizClick(Sender: TObject);
    procedure RBEllipticFullClick(Sender: TObject);
    procedure RBEllipticFitClick(Sender: TObject);
    procedure RBDiagGridClick(Sender: TObject);
    procedure NIONumColorsChange(Sender: TObject);
    procedure RBRectClick(Sender: TObject);
    procedure CselGridChange(Sender: TObject);
    procedure CBoxGridModeChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CBoxFrameChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmGrafFill: TFrmGrafFill;

implementation

{$R *.DFM}

uses
  SDL_sdlbase;

(***************************************************************)
procedure TFrmGrafFill.BButExitClick(Sender: TObject);
(***************************************************************)

begin
close;
end;


(***************************************************************)
procedure TFrmGrafFill.SBToggleColorsClick(Sender: TObject);
(***************************************************************)

var
  ColorDummy : TColor;

begin
GFQuad.ColorFlipped := not GFQuad.ColorFlipped;
ColorDummy := ColSel1.SelColor;
ColSel1.SelColor := ColSel2.SelColor;
ColSel2.SelColor := ColorDummy;
end;

(***************************************************************)
procedure TFrmGrafFill.ColSel1Change(Sender: TObject);
(***************************************************************)

begin
GFQuad.ColorFirst := ColSel1.SelColor;
end;

(***************************************************************)
procedure TFrmGrafFill.ColSel2Change(Sender: TObject);
(***************************************************************)

begin
GFQuad.ColorLast := ColSel2.SelColor;
end;

(***************************************************************)
procedure TFrmGrafFill.RBRadialClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtRadial;
end;

(***************************************************************)
procedure TFrmGrafFill.RBVerticalClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtVert;
end;

(***************************************************************)
procedure TFrmGrafFill.RBMidBandVertClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtMidBandVert;
end;

(***************************************************************)
procedure TFrmGrafFill.RBMidBandHorizClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtMidBandHoriz;
end;

(***************************************************************)
procedure TFrmGrafFill.RBHorizClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtHoriz;
end;

(***************************************************************)
procedure TFrmGrafFill.RBEllipticFullClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtEllipticFull;
end;

(***************************************************************)
procedure TFrmGrafFill.RBEllipticFitClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtEllipticFit;
end;

(***************************************************************)
procedure TFrmGrafFill.RBDiagGridClick(Sender: TObject);
(***************************************************************)

begin
GFQuad.FillType := gtDiagGrid;
end;

(***************************************************************)
procedure TFrmGrafFill.NIONumColorsChange(Sender: TObject);
(***************************************************************)

begin
GFQuad.NrColors := round(NIONumColors.Value);
end;

(******************************************************************************)
procedure TFrmGrafFill.RBRectClick(Sender: TObject);
(******************************************************************************)

begin
GFQuad.FillType := gtRect;
end;

(******************************************************************************)
procedure TFrmGrafFill.CselGridChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.GridColor := CSelGrid.SelColor;
end;

(******************************************************************************)
procedure TFrmGrafFill.CBoxGridModeChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.GridMode := TGridMode(CBoxGridMode.ItemIndex);
end;

(******************************************************************************)
procedure TFrmGrafFill.FormShow(Sender: TObject);
(******************************************************************************)

begin
if IsLightEd then
  begin
  RBDiagGrid.Enabled := false;
  end;
end;

(******************************************************************************)
procedure TFrmGrafFill.CBoxFrameChange(Sender: TObject);
(******************************************************************************)

begin
GFQuad.FrameStyle := TFrameStyle(CBoxFrame.ItemIndex);
end;

end.
